// Type: Infragistics.Controls.Schedules.CalendarGroup
// Assembly: InfragisticsSL4.Controls.Schedules.v10.3, Version=10.3.20103.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb
// Assembly location: C:\Program Files (x86)\Infragistics\NetAdvantage 2010.3\Silverlight\Bin\InfragisticsSL4.Controls.Schedules.v10.3.dll

using Infragistics;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Markup;

namespace Infragistics.Controls.Schedules
{
    [ContentProperty("Calendars")]
    public class CalendarGroup : CalendarGroupBase, ISupportPropertyChangeNotifications,
                                 ITypedSupportPropertyChangeNotifications<object, string>
    {
        public CalendarGroup();

        [Browsable(false)]
        public ObservableCollection<ResourceCalendar> Calendars { get; }

        public string InitialCalendarIds { get; set; }
        public string InitialSelectedCalendarId { get; set; }
        public override ResourceCalendar SelectedCalendar { get; set; }

        [Browsable(false)]
        public override IList<ResourceCalendar> VisibleCalendars { get; }

        public override bool Contains(ResourceCalendar calendar);
        protected override void OnPropertyChanged(string propertyName);
        public string GetInitialCalendarIds();
    }
}
